resource "helm_release" "homepage" {
  name             = "homepage"
  repository       = "https://jameswynn.github.io/helm-charts"
  chart            = "homepage"
  namespace        = var.namespace
  create_namespace = true
  version          = "2.1.0"

  values = [
    templatefile("${path.module}/values.yaml.tftpl", {
      service_uri = local.service_uri,
    })
  ]
}

output "installed" {
  value = true
  depends_on = [helm_release.homepage]
}
